-- Normal Mode
-- By Sls64LGamingBro


addHook("BossThinker", function(boss)
	if boss and boss.health > 1 and (boss.health % 2 == 0) then
		boss.health = $-1 //The Boss HP will drain
	end
end)


addHook("PlayerSpawn",function(player)
	if G_IsSpecialStage() == true then
		player.timegive_start = true
	else
		player.timegive_start = false
	end
end)


addHook("PlayerThink",function(player)
	if player.timegive_start ~= nil and player.timegive_start == true then
		if player.nightstime > 0 then
			player.nightstime = $*2
			player.timegive_start = false
		end
	end
end)


addHook("MobjThinker", function(mo) -- Replaces Eggman Boxes into Score 10k Boxes (Maybe a Unused Box)
	mo.type = MT_SCORE10K_BOX
end, MT_EGGMAN_BOX)


addHook("MobjThinker", function(mo) -- Removes All Pterabytes in Red Volcano Zone
	P_RemoveMobj(mo)
end, MT_PTERABYTE)


addHook("MobjThinker", function(mo) -- Removes All Spincushions in Egg Rock Zone 1 and 2
	P_RemoveMobj(mo)
end, MT_SPINCUSHION)


addHook("MobjThinker", function(mo) -- Removes All Dragonbombers in Red Volcano Zone
	P_RemoveMobj(mo)
end, MT_DRAGONBOMBER, MT_DRAGONWING, MT_DRAGONTAIL, MT_DRAGONMINE)


addHook("MobjThinker", function(mo) -- Removes All Unidus in Red Volcano Zone
	P_RemoveMobj(mo)
end, MT_UNIDUS, MT_UNIBALL)


addHook("MobjThinker", function(mo) -- Replaces Unidus to Turret in Red Volcano Zone
	mo.type = MT_TURRET
end, MT_UNIDUS, MT_UNIBALL)


addHook("MobjThinker", function(mo) -- Removes the Ball from Greenflower Zone 3's Bossfight
	P_RemoveMobj(mo)
end, MT_EGGMOBILE_BALL)


addHook("MobjThinker", function(mo) -- Removes Metal Sonic's Energy Ball from Black Core Zone 2's Bossfight
	P_RemoveMobj(mo)
end, MT_ENERGYBALL)


addHook("MobjThinker", function(mo) -- Removes All Facestabbers and it's Spear plus it's Suspicous Statue in Castle Eggman Zone 1 and 2
	P_RemoveMobj(mo)
end, MT_FACESTABBER, MT_FACESTABBERSPEAR, MT_SUSPICIOUSFACESTABBERSTATUE)


addHook("MobjThinker", function(mo) -- Removes All Small Maces in Some Zones in the Game
	P_RemoveMobj(mo)
end, MT_SMALLMACE)


addHook("MobjThinker", function(mo) -- Removes All Big Maces in Some Zones in the Game
	P_RemoveMobj(mo)
end, MT_BIGMACE)


addHook("MobjThinker", function(mo) -- Removes All Gold Buzzes and Red Buzzes in Techno Hill Zone 1 and 2
	P_RemoveMobj(mo)
end, MT_GOLDBUZZ, MT_REDBUZZ)


addHook("MobjThinker", function(mo) -- Removes All GSnappers in Arid Canyon Zone 1 and 2
	P_RemoveMobj(mo)
end, MT_GSNAPPER)


addHook("MobjThinker", function(mo) -- Replaces GSnappers to Spring Shell in Arid Canyon Zone 1 and 2
	mo.type = MT_SPRINGSHELL
end, MT_GSNAPPER)


addHook("MobjThinker", function(mo) -- Replaces RedCrawlas to BlueCrawlas in Greenflower Zone 1 and 2
	mo.type = MT_BLUECRAWLA
end, MT_REDCRAWLA)


addHook("MobjThinker", function(mo) -- Removes Shockwave from Deep Sea Zone 3's Bossfight
	P_RemoveMobj(mo)
end, MT_SHOCKWAVE)


addHook("MobjThinker", function(mo) -- Removes Brak's Missile from Black Core Zone 3's Final Bossfight
	P_RemoveMobj(mo)
end, MT_CYBRAKDEMON_MISSILE)


addHook("MobjThinker", function(mo) -- Removes Brak's Stuff from Black Core Zone 3's Final Bossfight
	P_RemoveMobj(mo)
end, MT_CYBRAKDEMON_FLAMEREST, MT_CYBRAKDEMON_NAPALM_FLAMES, MT_CYBRAKDEMON_NAPALM_FLAMES, MT_CYBRAKDEMON_NAPALM_BOMB_LARGE, MT_CYBRAKDEMON_NAPALM_BOMB_SMALL)